import * as drag from './drag';
import * as page from './page';
export declare const e2e: {
    autoScroll(element: HTMLAnchorElement, page: any, bottomTimes?: number): Promise<void>;
    dragElement({ page, source, target, mode, reverse, stepUnit, }: {
        page: any;
        source: any;
        target: any;
        mode?: drag.DRAG_TYPE | undefined;
        reverse?: boolean | undefined;
        stepUnit?: number | undefined;
    }): Promise<void>;
    DRAG_TYPE: typeof drag.DRAG_TYPE;
    waitEle(element: HTMLSelectElement, page: any, timeout?: number): Promise<any>;
    clickBtn(btn: any): Promise<boolean>;
    findAndClick(element: HTMLSelectElement, page: any, timeout?: number): Promise<any>;
    justWait(time: number): Promise<unknown>;
    closeBlankPage(browser: any): Promise<void>;
    getRect(element: HTMLSelectElement, page: any): Promise<any>;
    getInnerText(element: HTMLSelectElement, page: any): Promise<any>;
    findListItemAndClick({ page, element, innerText, }: {
        page: any;
        element: HTMLSelectElement;
        innerText: string;
    }): Promise<void>;
    getHref(page: any): Promise<any>;
    initBrowser({ puppeteer, args, headless, devtools, }: {
        puppeteer: any;
        args?: string[] | undefined;
        headless?: boolean | undefined;
        devtools?: boolean | undefined;
    }): Promise<any>;
    getNewPage(browser: any, device: page.DEVICE_TYPE): Promise<any>;
    openOrFindPage(browser: any, href: string, device: page.DEVICE_TYPE): Promise<any>;
    setUserAgent(useragent: string, page: any): Promise<void>;
    setSessionStorage(key: string, value: string, page: any): Promise<void>;
    setRoute(page: any, route?: string): Promise<void>;
    DEVICE_TYPE: typeof page.DEVICE_TYPE;
};
export { parseMochaAwesomeResult } from './mocha-awesome-result';
export { getE2ERobotChatId } from './robot-chat-id';
export { TRIGGER_MAP, getE2ETestRobotMessage } from './robot-msg';
